Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 608216 - Review Request: gdk-pixbuf2 - an image loader library
Review Request: gdk-pixbuf2 - an image loader library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chen Lei
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-26 01:13 EDT by Matthias Clasen
Modified: 2010-06-28 10:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:44:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
supercyper1: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2010-06-26 01:13:28 EDT
This used to be part of GTK+, now turned into a standalone module again.

http://mclasen.fedorapeople.org/gdk-pixbuf.spec
http://mclasen.fedorapeople.org/gdk-pixbuf-2.21.3-1.fc14.src.rpm
Comment 1 Chen Lei 2010-06-26 04:27:56 EDT
formal review here:
+:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines. [FIXME?: covers this
list and more]
[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.
<<md5sum checksum>>f10bdc4496e7577c7d8b9384aedcb56f
[+] MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun.
[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is
described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[+] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
[+] SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all
supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself.


Spec file is well-organized, only some trivial issue:
1.%dir %{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/*.so -> %{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/*.so

2.
Add conflicts field to spec
main package:
Conflicts:gtk2 <= 2.21.2
-devel
Conflicts:gtk2-devel <= 2.21.2

3.It'll better to use %{_mandir}/man1/gdk-pixbuf-query-loaders-2.0.1*
instead of %{_mandir}/man1/gdk-pixbuf-query-loaders-2.0.1.gz to let rpm build on other distributions(e.g. mandriva uses xz to compress man pages)
Comment 2 Matthias Clasen 2010-06-26 18:47:23 EDT
Thanks, I've incorporated your suggestions in this revision:

http://mclasen.fedorapeople.org/gdk-pixbuf.spec
http://mclasen.fedorapeople.org/gdk-pixbuf-2.21.4-1.fc14.src.rpm
Comment 3 Kevin Fenzi 2010-06-26 20:38:18 EDT
gdk-pixbuf is still in fedora and "maintained" by me. :) 

So, either this will need a different name, or we will need to (finally) kill off the stuff using the old version, or somehow get them to use this new version. 

If I have done my query right, it's required by: 

justmoon-0.3.3-6.fc12.src.rpm
soundtracker-0.6.8-8.fc12.src.rpm
xosd-2.2.14-13.fc12.src.rpm

I kept it around for xosd, but I guess I don't care if we nuke it at this point. 

Thoughts?
Comment 4 Matthias Clasen 2010-06-26 20:43:48 EDT
I'll rename this one to gdk-pixbuf2, no problem
Comment 6 Chen Lei 2010-06-26 23:25:13 EDT
Okay, this package is approved.
Comment 7 Chen Lei 2010-06-26 23:49:56 EDT
(In reply to comment #3)
> gdk-pixbuf is still in fedora and "maintained" by me. :) 
> 
> So, either this will need a different name, or we will need to (finally) kill
> off the stuff using the old version, or somehow get them to use this new
> version. 
> 
> If I have done my query right, it's required by: 
> 
> justmoon-0.3.3-6.fc12.src.rpm
> soundtracker-0.6.8-8.fc12.src.rpm
> xosd-2.2.14-13.fc12.src.rpm
> 
> I kept it around for xosd, but I guess I don't care if we nuke it at this
> point. 
> 
> Thoughts?    

It looks like gdk-pixbuf is only required by xmms-xosd subpackage instead of required by the whole xosd? 

Now Fedora 14 have gnome1/gnome2/gnome3 stuffs, I wonder if it's safe to retire some long obsoletes packages which have better modern alternatives(e.g. no updates/activities in upstream for more than 7 years)? 
FYI, Debian removed the whole gtk1.2 stack from repo in Apr,2009.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=520441
Comment 8 Matthias Clasen 2010-06-27 10:39:51 EDT
New Package CVS Request
=======================
Package Name: gdk-pixbuf2
Short Description: An image loading library
Owners: mclasen
Branches:
Comment 9 Jason Tibbitts 2010-06-27 12:55:23 EDT
The bug summary says "gdk-pixbuf" but the CVS request says "gdk-pixbuf2".
Please verify that the CVS request is correct.  (We will always ask if they
don't match in order to help prevent typos.)
Comment 10 Matthias Clasen 2010-06-27 16:12:24 EDT
gdk-pixbuf2, please. gdk-pixbuf already exists.
Comment 11 Jason Tibbitts 2010-06-28 00:20:29 EDT
CVS done (by process-cvs-requests.py).
Comment 12 Matthias Clasen 2010-06-28 10:44:46 EDT
build done

Note You need to log in before you can comment on or make changes to this bug.